dtmf2num(1)

NAME
dtmf2num - tool for decoding the DTMF and MF tones from PCM wave files

SYNOPSIS
dtmf2num [options] files...

DESCRIPTION
This manual page documents briefly the dtmf2num command.

dtmf2num supports any type of wave file (frequencies, channels and 8, 16, 24 and 32 bits), automatic optimizations (DC bias adjust and normalization) and both WAV and raw PCM data.

The program has been successfully tested with many audio files and moreover with those highly dirt and damaged, for example recorded with a microphone in a room or at a very low volumes or with some noise.

OPTIONS

-r F C B
    Consider the file as raw headerless PCM data, you must specify the Frequency, Channels and Bits like -r 44100 2 16

-o  Disable the automatic optimizations: DC bias adjust and normalize. Use this option only if your file is already clean and normalized

-w FILE
    Debug option for dumping the handled samples from the memory to FILE

-z P V
    Set specific parameters of dsp.c:
        DTMF_OPTIMIZED_VALUE 102.00
        DTMF_THRESHOLD 800000000.00
        DTMF_NORMAL_TWIST 6.30
        DTMF_RELATIVE_PEAK_ROW 6.30
        DTMF_RELATIVE_PEAK_COL 6.30
        BELL_MF_THRESHOLD 800000000.00
        BELL_MF_TWIST 4.00
        BELL_MF_RELATIVE_PEAK 12.60